## statsmodels 0.4.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build
TOOLSPATH	  = ../tools/
EXAMPLEBUILD  = examples_rst.py

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*
	-rm -rf source/generated/
	-rm source/examples/generated/*

html:
	# generate the examples rst files
	@echo "Generating reST from examples folder"
	$(TOOLSPATH)$(EXAMPLEBUILD)
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/esip.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/esip.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/esip"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/esip"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	./fix_longtable.py $(BUILDDIR)
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	./fix_longtable.py $(BUILDDIR)
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## statsmodels 0.2.0+bzr1990

=== debian/changelog ===
statsmodels (0.2.0+bzr1990-1~lenny.nd1) lenny; urgency=low

  * Backport of Debian package version 0.2.0+bzr1990-1 for NeuroDebian.
    Problems with the backport should be reported to the NeuroDebian
    maintainers and not to the original Debian maintainer.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Fri, 07 May 2010 12:47:57 -0400

statsmodels (0.2.0+bzr1990-1) unstable; urgency=low

  * Initial release (Closes: #570604)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 06 May 2010 23:02:18 -0400

=== debian/control ===
Source: statsmodels
Section: python
Priority: optional
Maintainer: Experimental Psychology Maintainers <pkg-exppsy-maintainers@lists.alioth.debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), python-support (>= 0.6), python-all, python-scipy, python-nose, python-setuptools, python-matplotlib, python-sphinx
Standards-Version: 3.8.4
Homepage: http://statsmodels.sourceforge.net/
Vcs-Git: git://git.debian.org/pkg-exppsy/statsmodels.git
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/statsmodels.git;a=summary

Package: python-scikits-statsmodels
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Recommends: python-matplotlib, python-nose, python-rpy
Description: classes and functions for the estimation of statistical models
 scikits.statsmodels is a pure Python package that provides classes
 and functions for the estimation of several categories of statistical
 models. These currently include linear regression models, OLS, GLS,
 WLS and GLS with AR(p) errors, generalized linear models for six
 distribution families and M-estimators for robust linear models. An
 extensive list of result statistics are avalable for each estimation
 problem.

Package: python-scikits-statsmodels-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-jquery
Suggests: python-scikits-statsmodels
Description: documentation and examples for python-scikits-statsmodels
 This package contains HTML documentation and example scripts for
 python-scikits-statsmodels.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh  $@

# Build docs during build
override_dh_auto_build:
	dh_auto_build
	: # Build Documentation
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) $(MAKE) -C scikits/statsmodels/docs html
	mv scikits/statsmodels/docs/build/* build/
	rm -rf statsmodels/docs/source/generated/
endif

override_dh_clean:
	dh_clean
	rm -rf build *-stamp *.egg-info scikits/statsmodels/docs/source/generated

# Prune toplevel scikits/__init__.py to avoid conflicts across future
# scikits- packages, and rely on pysupport to create such one if
# necessary
override_dh_auto_install: ${PYVERS:%=python-install%}
	dh_auto_install
	find debian -wholename \*scikits/__init__.py -delete
	: # strip docs/ since they aren't really a Python module, there is -doc for it
	find debian -wholename \*scikits/statsmodels/docs | xargs rm -rf

override_dh_auto_test:
	: # Test and do not exit on failure since there are knowntofail atm
	python setup.py test || :

## immediately useable documentation and exemplar scripts/data
override_dh_compress:
	dh_compress -X.py -X.html -X.pdf -X.css -X.jpg -X.txt -X.js -X.json -X.rtc

override_dh_installdocs:
	: # Use jquery from Debian package, so prune shipped one
	-rm ./build/html/_static/jquery.js
	dh_installdocs

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
# Uncomment to find new files on sourceforge, for devscripts >= 2.9
http://sf.net/statsmodels/scikits.statsmodels-(.*)\.zip

## statsmodels 0.3.1

=== debian/changelog ===
statsmodels (0.3.1-2) unstable; urgency=low

  * debian/copyright: extended list of copyrights/licenses. Thanks to
    Luca Falavigna for the thorough review
  * debian/rules: remove shipped COPYING files due to duplication of
    debian/copyright
  * Initial release -- upload to Debian (Closes: #570604)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 25 Aug 2011 23:23:37 +0200

statsmodels (0.3.1-1) UNRELEASED; urgency=low

  * Added get-orig-source rule to fetch from github using uscan
  * Upload to Debian was rejected

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 24 Aug 2011 23:14:01 +0200

statsmodels (0.3.0-1) neurodebian; urgency=low

  * Upstream release -- upload to Debian proper is pending the removal of
    WFS dataset (research only restriction)
  * debian/copyright: expanded to mention copyrights for the included
    datasets, adjusted BSD-3 license text to use project's name instead
    of "stock" regents.

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 19 Jul 2011 22:40:18 -0400

statsmodels (0.3.0~rc2+4-gc78fbe1-1) UNRELEASED; urgency=low

  * Upstream snapshot post RC2:
    - upstream moved to GIT, Debian packaging repository reinitilized
      borrowing debian/ branch from previous one (git-bzr imported)
  * debian/control: boosted policy to 3.9.2 -- no changes
  * debian/watch: fetch from github

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 07 Jul 2011 22:43:21 -0400

statsmodels (0.3.0~bzr20110330-1) neurodebian; urgency=low

  * Fresh snapshot of BZR 0.3-devel series
  * Initial upload to Debian was rejected due to data licensing issues

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 29 Mar 2011 17:48:04 -0400

statsmodels (0.2.0+bzr1990-1) neurodebian; urgency=low

  * Initial release -- rejected due to full list of copyrights

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 06 May 2010 23:02:18 -0400

=== debian/control ===
Source: statsmodels
Section: python
Priority: extra
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: debhelper (>= 7.0.50~),
               python-support (>= 0.6),
               python-all, python-setuptools,
               python-numpy (>= 1:1.4.0),
               python-scipy,
               python-nose,
               python-matplotlib,
               python-sphinx (>= 1.0.6)
Standards-Version: 3.9.2
Homepage: http://statsmodels.sourceforge.net/
Vcs-Git: git://git.debian.org/pkg-exppsy/statsmodels.git
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/statsmodels.git;a=summary

Package: python-scikits.statsmodels
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy
Provides: ${python:Provides}
Conflicts: python-scikits-statsmodels
Replaces: python-scikits-statsmodels
XB-Python-Version: ${python:Versions}
Recommends: python-matplotlib, python-nose, python-rpy
Description: classes and functions for the estimation of statistical models
 scikits.statsmodels is a pure Python package that provides classes
 and functions for the estimation of several categories of statistical
 models. These currently include linear regression models, OLS, GLS,
 WLS and GLS with AR(p) errors, generalized linear models for six
 distribution families and M-estimators for robust linear models. An
 extensive list of result statistics are available for each estimation
 problem.

Package: python-scikits.statsmodels-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-jquery
Suggests: python-scikits.statsmodels
Conflicts: python-scikits-statsmodels-doc
Replaces: python-scikits-statsmodels-doc
Description: documentation and examples for python-scikits.statsmodels
 This package contains HTML documentation and example scripts for
 python-scikits.statsmodels.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

# override HOME (for weave) and matplotlib config directory
# to allow building in chroots with read-only HOME
export HOME=$(CURDIR)/build
export MPLCONFIGDIR=$(HOME)

%:
	dh  $@

# Build docs during build
override_dh_auto_build:
	dh_auto_build
	echo "backend : Agg" >| $(MPLCONFIGDIR)/matplotlibrc

	: # Build Documentation -- assure existence of build/html for nodoc
	mkdir -p build/html
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	export PYTHONPATH=$(CURDIR) ; \
	 $(MAKE) -C scikits/statsmodels/docs html
	mv scikits/statsmodels/docs/build/* build/
	rm -rf statsmodels/docs/source/generated/
endif

override_dh_clean:
	dh_clean
	rm -rf build *-stamp *.egg-info scikits/statsmodels/docs/source/generated

# Prune toplevel scikits/__init__.py to avoid conflicts across future
# scikits- packages, and rely on pysupport to create such one if
# necessary
override_dh_auto_install: ${PYVERS:%=python-install%}
	dh_auto_install
	find debian -wholename \*scikits/__init__.py -delete
	: # strip docs/ since they aren't really a Python module, there is -doc for it
	find debian -wholename \*scikits/statsmodels/docs | xargs rm -rf
	find debian -iname COPYING | xargs -r rm -f

override_dh_auto_test:
	: # Test and do not exit on failure since there are knowntofail atm
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python setup.py test
endif

## immediately useable documentation and exemplar scripts/data
override_dh_compress:
	dh_compress -X.py -X.html -X.pdf -X.css -X.jpg -X.txt -X.js -X.json -X.rtc -X.inv

override_dh_installdocs:
	: # Use jquery from Debian package, so prune shipped one
	-rm ./build/html/_static/jquery.js
	dh_installdocs

get-orig-source:
	uscan --upstream-version 0 --rename

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
# Uncomment to find new files on sourceforge, for devscripts >= 2.9
# http://sf.net/statsmodels/scikits.statsmodels-(.*)\.zip
# Fetch from github
opts="filenamemangle=s/.*\/v(.*)/statsmodels-$1\.tar\.gz/,uversionmangle=s/rc/~rc/g" \
  http://github.com/statsmodels/statsmodels/downloads .*tarball/v([\d\.a-z]+)

## statsmodels 0.4.0

=== debian/changelog ===
statsmodels (0.4.0-2) unstable; urgency=low

  * Removed python-rpy from Recommends to avoid pulling Rtillery with
    with the default installation of statsmodels and pandas, since rpy apparently
    is mentioned only in some legacy code
  * Added patch up_versioncomparison_with_rc to "cherry-pick" 45ee896 for
    robust version comparison with rc versions of numpy/scipy

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 13 May 2012 20:40:37 -0400

statsmodels (0.4.0-1) unstable; urgency=low

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 01 May 2012 09:34:58 -0400

statsmodels (0.4.0~rc2+git6-g756f2d0-1) experimental; urgency=low

  * Fresh upstream pre-release
    - all patches dropped (upstreamed)
    - scikits. name space is getting deprecated:
      - python-scikits.statsmodels is provided to ease code transition
      - python-statsmodels-doc replaces python-scikits.statsmodels-doc
    - python-statsmodels-lib is introduced to carry arch-dependent
      extensions
  * debian/copyright:
    - entry for statsmodels/stats/libqsturng
  * debian/watch:
    - use githubredir.debian.net
  * debian/{rules,control}
    - rule cythonize to (re-)cythonize .pyx files so they could be
      built on older releases
    - use custom IPython01x available from NeuroDebian on older releases
      to build documentation
    - build-depend on python-all-dev now to build extensions
    - recommend python-joblib

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 11 Apr 2012 08:30:50 -0400

statsmodels (0.3.1-4) unstable; urgency=low

  * Added patch from Ubuntu: fix_test_discrete.patch.  Thanks Michael Terry for
    the patch and Gregor Herrmann for the reminder (Closes: #663986, #648845)
  * upon clean -- remove autogenerated version.py
  * debian/copyright: adjusted for DEP-5
  * debian/control: boosted policy to 3.9.3 (no changes)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 29 Mar 2012 12:44:27 -0400

statsmodels (0.3.1-3) unstable; urgency=low

  * Few bugfixes:
    - up_broken_imports
    - up_doc_fixes

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 21 Jan 2012 12:07:54 -0500

=== debian/control ===
Source: statsmodels
Section: python
Priority: extra
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: debhelper (>= 7.0.50~),
               python-support (>= 0.6),
               python-all-dev, python-setuptools,
               python-numpy (>= 1:1.4.0),
               python-scipy,
               python-nose,
               python-matplotlib,
               python-sphinx (>= 1.0.6),
               python-pandas,
               ipython (>= 0.12) | ipython01x,
               cython,
Standards-Version: 3.9.3
XS-Python-Version: >= 2.5
Homepage: http://statsmodels.sourceforge.net/
Vcs-Git: git://git.debian.org/pkg-exppsy/statsmodels.git
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/statsmodels.git;a=summary

Package: python-statsmodels
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
         python-numpy,
         python-scipy,
         python-statsmodels-lib (>= ${source:Version}),
Recommends: python-pandas,
            python-matplotlib,
            python-nose,
            python-joblib,
Provides: ${python:Provides}
Conflicts: python-scikits-statsmodels, python-scikits.statsmodels (<< 0.4)
Replaces: python-scikits-statsmodels, python-scikits.statsmodels (<< 0.4)
Description: Python module for the estimation of statistical models
 statsmodels Python module provides classes and functions for the
 estimation of several categories of statistical models. These
 currently include linear regression models, OLS, GLS, WLS and GLS
 with AR(p) errors, generalized linear models for six distribution
 families and M-estimators for robust linear models. An extensive list
 of result statistics are available for each estimation problem.

Package: python-statsmodels-lib
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends},
         python-numpy
Conflicts: python-scikits-statsmodels, python-scikits.statsmodels (<< 0.4)
Replaces: python-scikits-statsmodels, python-scikits.statsmodels (<< 0.4)
Description: low-level implementations and bindings for statsmodels
 This package contains architecture dependent extensions for
 python-statsmodels.

Package: python-statsmodels-doc
Conflicts: python-scikits-statsmodels-doc, python-scikits.statsmodels-doc
Replaces: python-scikits-statsmodels-doc, python-scikits.statsmodels-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-jquery
Suggests: python-statsmodels
Description: documentation and examples for statsmodels
 This package contains HTML documentation and example scripts for
 python-statsmodels.


Package: python-scikits.statsmodels
Depends: python-statsmodels, ${misc:Depends}, ${python:Depends}
Architecture: all
Section: oldlibs
Description: transitional compatibility package for statsmodels migration
 Provides old namespace (scikits.statsmodels) and could be removed if
 dependent code migrated to use statsmodels for clarity of the namespace.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

# override HOME (for weave) and matplotlib config directory
# to allow building in chroots with read-only HOME
export HOME=$(CURDIR)/build
export MPLCONFIGDIR=$(HOME)

PACKAGE_NAME = python-statsmodels
PACKAGE_ROOT_DIR = debian/${PACKAGE_NAME}

PYVERS = $(shell pyversions -vr)
PYVER = $(shell pyversions -vd)

UVER := $(shell LC_ALL=C dpkg-parsechangelog | awk '/^Version:/{print $$2;}' | sed -e 's,-[^-]*$$,,g')
CYTHONVER := $(shell dpkg -l cython | awk '/^ii/{print $$3;}' || echo 0)
MPLVER := $(shell dpkg -l python-matplotlib | awk '/^ii/{print $$3;}' || echo 0)
IPYTHONVER := $(shell ipython -V || echo 0) # 0.12 is needed to build docs, otherwise use IPython01x
IPYTHONPATH := $(shell dpkg --compare-versions $(IPYTHONVER) lt 0.12 \
				 && echo ":/usr/lib/python$(PYVER)/dist-packages/IPython01X" || echo '')

MIN_CYTHONVER = 0.15.1

ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
export OPT+=-g -O0
endif

%:
	dh  $@


cythonize:
	find statsmodels -iname *.pyx | sed -e 's,\.pyx,\.c,g' | xargs -r rm -f
	: # since there is no cython command and I have no time...
	python setup.py build_ext --inplace -f
	mkdir -p debian/cythonized-files
	cp $$(find statsmodels -iname *.pyx | sed -e 's,\.pyx,\.c,g') debian/cythonized-files
	echo "$(UVER)" >| debian/cythonized-files/VERSION


override_dh_auto_configure:
	dpkg --compare-versions $(CYTHONVER) lt $(MIN_CYTHONVER) && { \
		echo "I: Using pre-Cython-ed files"; \
		find -iname *pyx | while read p; do \
		  f=$$(basename $$p); f=$${f%%.pyx}; d=$$(dirname $$p); \
		  cp -rp debian/cythonized-files/$$f.c $$d/; done; } || :
	dh_auto_configure


override_dh_auto_test:
	: # overriden since testing happens against installed version across
	: # all supported python versions


# Build docs during build
override_dh_auto_build:
	dh_auto_build
	: # Hardcode backend to Agg to avoid doc build and tests failures
	echo "backend : Agg" >| $(MPLCONFIGDIR)/matplotlibrc


doc-stamp:
	: # I: Generate documentation
	: # Build Documentation -- assure existence of build/html for nodoc
	mkdir -p build/html
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)$(IPYTHONPATH) \
	 $(MAKE) -C docs html
	mv docs/build/* build/
	rm -rf docs/source/generated/
endif
	touch $@


override_dh_clean:
	dh_clean
	rm -rf build *-stamp *.egg-info docs/source/generated
	: # Remove autogenerated version.py
	rm -f statsmodels/version.py
	rm -f doc-stamp

override_dh_auto_install: ${PYVERS:%=python-install%} ${PYVERS:%=python-test%}

# Per Python version logic -- install, test, move .so into -lib
python-install%:
	python$* setup.py install --install-layout=deb --root=$(PACKAGE_ROOT_DIR)

python-test%: python-install%
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	: # Run unittests here against installed statsmodels
	cd build/ && \
	 PYTHONPATH=`/bin/ls -d $(CURDIR)/$(PACKAGE_ROOT_DIR)/usr/lib/python$*/*/` \
	 MPLCONFIGDIR=$(CURDIR)/build \
	 python$* /usr/bin/nosetests -s -v statsmodels || :
else
	: # Skip unittests due to nocheck
endif


override_dh_install:
	dh_install
	: # Remove compiled due to testing files
	find debian -name *.pyc -delete
	: # strip docs/ since they aren't really a Python module, there is -doc for it
	: # TODO find debian -wholename \*scikits/statsmodels/docs | xargs rm -rf
	find debian -iname COPYING -o -iname LICENSE* | xargs -r rm -f


## immediately useable documentation and exemplar scripts/data
override_dh_compress:
	dh_compress -X.py -X.html -X.pdf -X.css -X.jpg -X.txt -X.js -X.json -X.rtc -X.inv -Xobjects.inv


override_dh_installdocs:
	: # Use jquery from Debian package, so prune shipped one
	-rm ./build/html/_static/jquery.js
	dh_installdocs


## move binary libraries into -lib
override_dh_pysupport:
	: # Move platform-specific libraries into -lib
	for lib in $$(find $(PACKAGE_ROOT_DIR)/usr -name '*.so'); do \
	   sdir=$$(dirname $$lib) ; \
	   tdir=$(PACKAGE_ROOT_DIR)-lib/$${sdir#*$(PACKAGE_NAME)/} ; \
	   mkdir -p $$tdir ; \
	   echo "I: Moving '$$lib' into '$$tdir'." ; \
	   mv $$lib $$tdir ; \
	done
	if [ -x /usr/bin/dh_numpy ]; then dh_numpy -ppython-statsmodels-lib; fi
	: # Prune scikits/__init__.py to avoid conflicts
	find debian -wholename \*scikits/__init__.py -delete
	: # Move scikits. space into a compatibility package
	set -e; \
	find debian -wholename \*scikits -type d | while read skd; do \
		skbd=$$(dirname $$skd); \
		skbd_=$$(echo $$skbd | sed -e 's/python-statsmodels/python-scikits.statsmodels/g'); \
		mkdir -p $$skbd_; \
		mv $$skd $$skbd_; \
	done
	dh_pysupport

# We build documentation only for -indep
binary-indep: doc-stamp
binary: binary-arch binary-indep


get-orig-source:
	uscan --upstream-version 0 --rename

## statsmodels 0.4.1

=== debian/changelog ===
statsmodels (0.4.1-1) unstable; urgency=low

  * Fresh upstream release
    - dropped up_versioncomparison_with_rc
    - require Python >= 2.6
  * Do fail if unittests fail
  * Added joblib to build-depends since seems could be used during tests

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 15 Jun 2012 17:57:17 -0400

## statsmodels 0.4.2

=== debian/changelog ===
statsmodels (0.4.2-1.2) testing; urgency=medium

  * Non-maintainer upload, incorporating changes by Tomasz Buchert.
  * debian/patches/scipy-rvs-interface.patch: Removed again and ...
  * debian/patches/testsuite-fixes.patch: ... folded into this patch, just
    raising a nose.SkipTest() for the problematic test case.
  * debian/patches/testsuite-fixes.patch: Amended for test_discrete.py, also
    skipping this test case via raising a nose.SkipTest(), as it leads to a
    FTBFS error on i386 (Closes: #768695).
 
 -- Michael Banck <mbanck@debian.org>  Sat, 29 Nov 2014 16:19:51 +0100

statsmodels (0.4.2-1.1) testing; urgency=medium

  * Non-maintainer upload.
  * Fixes various problems with build process (Closes: #768695)

 -- Tomasz Buchert <tomasz.buchert@inria.fr>  Sun, 23 Nov 2014 17:46:48 +0100

statsmodels (0.4.2-1) unstable; urgency=low

  * Fresh upstream release addressing FTBFS across big-endian architectures.

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 29 Jun 2012 17:26:36 -0400

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,11 @@
                python-matplotlib,
                python-sphinx (>= 1.0.6),
                python-pandas,
+               python-joblib,
                ipython (>= 0.12) | ipython01x,
                cython,
 Standards-Version: 3.9.3
-XS-Python-Version: >= 2.5
+XS-Python-Version: >= 2.6
 Homepage: http://statsmodels.sourceforge.net/
 Vcs-Git: git://git.debian.org/pkg-exppsy/statsmodels.git
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/statsmodels.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -91,7 +91,7 @@
 	cd build/ && \
 	 PYTHONPATH=`/bin/ls -d $(CURDIR)/$(PACKAGE_ROOT_DIR)/usr/lib/python$*/*/` \
 	 MPLCONFIGDIR=$(CURDIR)/build \
-	 python$* /usr/bin/nosetests -s -v statsmodels || :
+	 python$* /usr/bin/nosetests -s -v statsmodels
 else
 	: # Skip unittests due to nocheck
 endif

## statsmodels 0.5.0

=== debian/changelog ===
statsmodels (0.5.0-1) unstable; urgency=low

  * Fresh upstream release
  * debian/rules
    - assure having $HOME for clean and build operations to avoid crash of
      matplotlib
  * debian/control, debian/rules
    - boost required ipython to 0.13.1 for building documentation
    - add python-zmq explicitly to build-depends for correct IPython
      operation

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 15 Aug 2013 23:45:31 -0400

statsmodels (0.5.0~rc1-1) UNRELEASED; urgency=low

  * New upstream snapshot from v0.4.3-1962-g13bbf88 at v0.4.3-1962-
    g13bbf88
    - depends on patsy
  * debian/control
    - requires ipython-notebook for building documentation
      (Build-Depends adjusted)
    - build for Python >= 2.7 due to absent python 2.6 build of pandas
      for wheezy (debian/pyversions removed, use field X-Python-Version) now 
      instead
    - boosted policy to 3.9.4 (no further changes)
  * debian/copyright
    - years adjusted
  * debian/rules
    - migrate to dh_python2 from dh_pysupport

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 01 Aug 2013 09:42:43 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~),
-               python-support (>= 0.6),
                python-all-dev, python-setuptools,
                python-numpy (>= 1:1.4.0),
                python-scipy,
@@ -13,10 +12,11 @@
                python-sphinx (>= 1.0.6),
                python-pandas,
                python-joblib,
-               ipython (>= 0.12) | ipython01x,
+               ipython-notebook (>= 0.13.1) | ipython01x, python-zmq,
                cython,
-Standards-Version: 3.9.3
-XS-Python-Version: >= 2.6
+               python-patsy,
+Standards-Version: 3.9.4
+X-Python-Version: >= 2.7
 Homepage: http://statsmodels.sourceforge.net/
 Vcs-Git: git://git.debian.org/pkg-exppsy/statsmodels.git
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/statsmodels.git;a=summary
@@ -27,6 +27,7 @@
          python-numpy,
          python-scipy,
          python-statsmodels-lib (>= ${source:Version}),
+         python-patsy
 Recommends: python-pandas,
             python-matplotlib,
             python-nose,

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 CYTHONVER := $(shell dpkg -l cython | awk '/^ii/{print $$3;}' || echo 0)
 MPLVER := $(shell dpkg -l python-matplotlib | awk '/^ii/{print $$3;}' || echo 0)
 IPYTHONVER := $(shell ipython -V || echo 0) # 0.12 is needed to build docs, otherwise use IPython01x
-IPYTHONPATH := $(shell dpkg --compare-versions $(IPYTHONVER) lt 0.12 \
+IPYTHONPATH := $(shell dpkg --compare-versions $(IPYTHONVER) lt 0.13 \
 				 && echo ":/usr/lib/python$(PYVER)/dist-packages/IPython01X" || echo '')
 
 MIN_CYTHONVER = 0.15.1
@@ -26,7 +26,7 @@
 endif
 
 %:
-	dh  $@
+	dh  $@ --with python2
 
 
 cythonize:
@@ -51,26 +51,33 @@
 	: # overriden since testing happens against installed version across
 	: # all supported python versions
 
+# To guarantee HOME existence with mpl 1.3.0
+# See https://github.com/matplotlib/matplotlib/issues/2300
+#     http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=719384
+$(HOME):
+	mkdir "$@"
 
 # Build docs during build
-override_dh_auto_build:
+override_dh_auto_build: $(HOME)
 	dh_auto_build
 	: # Hardcode backend to Agg to avoid doc build and tests failures
 	echo "backend : Agg" >| $(MPLCONFIGDIR)/matplotlibrc
 
 
-doc-stamp:
+doc-stamp: python-install$(PYVER)
 	: # I: Generate documentation
 	: # Build Documentation -- assure existence of build/html for nodoc
 	mkdir -p build/html
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=$(CURDIR)$(IPYTHONPATH) \
+	PYTHONPATH=`/bin/ls -d $(CURDIR)/$(PACKAGE_ROOT_DIR)/usr/lib/python$(PYVER)/*/`:$(CURDIR)$(IPYTHONPATH) \
 	 $(MAKE) -C docs html
 	mv docs/build/* build/
 	rm -rf docs/source/generated/
 endif
 	touch $@
 
+override_dh_auto_clean: $(HOME)
+	dh_auto_clean
 
 override_dh_clean:
 	dh_clean
@@ -118,7 +125,7 @@
 
 
 ## move binary libraries into -lib
-override_dh_pysupport:
+override_dh_python2:
 	: # Move platform-specific libraries into -lib
 	for lib in $$(find $(PACKAGE_ROOT_DIR)/usr -name '*.so'); do \
 	   sdir=$$(dirname $$lib) ; \
@@ -138,7 +145,7 @@
 		mkdir -p $$skbd_; \
 		mv $$skd $$skbd_; \
 	done
-	dh_pysupport
+	dh_python2
 
 # We build documentation only for -indep
 binary-indep: doc-stamp

## statsmodels 0.5.0+git13

=== docs/Makefile ===
--- 
+++ 
@@ -8,6 +8,8 @@
 BUILDDIR      = build
 TOOLSPATH	  = ../tools/
 EXAMPLEBUILD  = examples_rst.py
+NOTEBOOKBUILD = nbgenerate.py
+FOLDTOC  = fold_toc.py
 
 # Internal variables.
 PAPEROPT_a4     = -D latex_paper_size=a4
@@ -38,13 +40,26 @@
 clean:
 	-rm -rf $(BUILDDIR)/*
 	-rm -rf source/generated/
+	-rm -rf source/dev/generated/
+
+cleanall: clean cleancache
+
+cleancache:
 	-rm source/examples/generated/*
+	-rm -rf source/examples/notebooks/generated/*
+	-rm -rf ../tools/hash_dict.pickle
 
 html:
 	# generate the examples rst files
 	@echo "Generating reST from examples folder"
 	$(TOOLSPATH)$(EXAMPLEBUILD)
+	@echo "Generating notebooks from examples/notebooks folder" 
+	$(TOOLSPATH)$(NOTEBOOKBUILD)
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
+	$(TOOLSPATH)$(EXAMPLEBUILD)
+	$(TOOLSPATH)$(FOLDTOC) $(BUILDDIR)/html/index.html
+	$(TOOLSPATH)$(FOLDTOC) $(BUILDDIR)/html/examples/index.html ../_static
+	$(TOOLSPATH)$(FOLDTOC) $(BUILDDIR)/html/dev/index.html ../_static
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

## statsmodels 0.5.0+git13-g8e07d34

=== debian/changelog ===
statsmodels (0.5.0+git13-g8e07d34-1ubuntu2) trusty; urgency=medium

  * relax-tests.patch: relax numeric bounds of a failing test on i386

 -- Julian Taylor <jtaylor@ubuntu.com>  Fri, 14 Mar 2014 00:36:32 +0100

statsmodels (0.5.0+git13-g8e07d34-1ubuntu1) trusty; urgency=medium

  * ignore test failures on non x86 arches, not worth the time debugging

 -- Julian Taylor <jtaylor@ubuntu.com>  Thu, 13 Mar 2014 23:25:04 +0100

statsmodels (0.5.0+git13-g8e07d34-1) unstable; urgency=low

  * Fresh snapshot of 0.5.x maintenance branch
    - resolved failing test causing to FTBFS (Closes: #730727)
  * debian/control
    - python-cvxopt added to Build-Depends (testing) and Recommends

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 28 Nov 2013 20:17:42 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: statsmodels
 Section: python
 Priority: extra
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~),
                python-all-dev, python-setuptools,
@@ -15,6 +16,7 @@
                ipython-notebook (>= 0.13.1) | ipython01x, python-zmq,
                cython,
                python-patsy,
+               python-cvxopt,
 Standards-Version: 3.9.4
 X-Python-Version: >= 2.7
 Homepage: http://statsmodels.sourceforge.net/
@@ -32,6 +34,7 @@
             python-matplotlib,
             python-nose,
             python-joblib,
+            python-cvxopt,
 Provides: ${python:Provides}
 Conflicts: python-scikits-statsmodels, python-scikits.statsmodels (<< 0.4)
 Replaces: python-scikits-statsmodels, python-scikits.statsmodels (<< 0.4)

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,7 @@
 IPYTHONVER := $(shell ipython -V || echo 0) # 0.12 is needed to build docs, otherwise use IPython01x
 IPYTHONPATH := $(shell dpkg --compare-versions $(IPYTHONVER) lt 0.13 \
 				 && echo ":/usr/lib/python$(PYVER)/dist-packages/IPython01X" || echo '')
+ARCHITECTURE := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 MIN_CYTHONVER = 0.15.1
 
@@ -93,6 +94,7 @@
 	python$* setup.py install --install-layout=deb --root=$(PACKAGE_ROOT_DIR)
 
 python-test%: python-install%
+ifneq (,$(filter $(ARCHITECTURE), i386 amd64 x32))
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	: # Run unittests here against installed statsmodels
 	cd build/ && \
@@ -101,6 +103,13 @@
 	 python$* /usr/bin/nosetests -s -v statsmodels
 else
 	: # Skip unittests due to nocheck
+endif
+else
+	: # Run unittests here against installed statsmodels, ignore failures
+	-cd build/ && \
+	 PYTHONPATH=`/bin/ls -d $(CURDIR)/$(PACKAGE_ROOT_DIR)/usr/lib/python$*/*/` \
+	 MPLCONFIGDIR=$(CURDIR)/build \
+	 python$* /usr/bin/nosetests -s -v statsmodels
 endif

## statsmodels 0.6.1

=== docs/Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
 PAPER         =
 BUILDDIR      = build
 TOOLSPATH	  = ../tools/
+DATASETBUILD  = dataset_rst.py
 EXAMPLEBUILD  = examples_rst.py
 NOTEBOOKBUILD = nbgenerate.py
 FOLDTOC  = fold_toc.py
@@ -48,17 +49,24 @@
 	-rm source/examples/generated/*
 	-rm -rf source/examples/notebooks/generated/*
 	-rm -rf ../tools/hash_dict.pickle
+	-rm -rf source/datasets/generated/*
+
+notebooks:
+	@echo "Generating notebooks from examples/notebooks folder" 
+	$(TOOLSPATH)$(NOTEBOOKBUILD)
 
 html:
 	# generate the examples rst files
 	@echo "Generating reST from examples folder"
-	$(TOOLSPATH)$(EXAMPLEBUILD)
+	#$(TOOLSPATH)$(EXAMPLEBUILD)
 	@echo "Generating notebooks from examples/notebooks folder" 
 	$(TOOLSPATH)$(NOTEBOOKBUILD)
+	@echo "Generating datasets from installed statsmodels.datasets"
+	$(TOOLSPATH)$(DATASETBUILD)
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
-	$(TOOLSPATH)$(EXAMPLEBUILD)
+	#$(TOOLSPATH)$(EXAMPLEBUILD)
 	$(TOOLSPATH)$(FOLDTOC) $(BUILDDIR)/html/index.html
-	$(TOOLSPATH)$(FOLDTOC) $(BUILDDIR)/html/examples/index.html ../_static
+	#$(TOOLSPATH)$(FOLDTOC) $(BUILDDIR)/html/examples/index.html ../_static
 	$(TOOLSPATH)$(FOLDTOC) $(BUILDDIR)/html/dev/index.html ../_static
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

=== tools/R2nparray/DESCRIPTION ===
Package: R2nparray
Version: 0.1
Date: 2011-08-23
Title: R to Numpy Arrays
Author: Skipper Seabold <jsseabold@gmail.com>
Maintainer: Skipper Seabold <jsseabold@gmail.com>
Description: Writes R matrices, vectors, and scalars to a file as numpy arrays
License: BSD
URL: http://www.github.com/statsmodels/statsmodels
Repository: github

=== debian/changelog ===
statsmodels (0.6.1-4) unstable; urgency=medium

  * Move ipython-notebook and zmq to build-depends-indep since needed only for
    documentation building

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 20 May 2015 17:29:08 -0400

statsmodels (0.6.1-3) unstable; urgency=medium

  * upload to unstable -- jessie is out
  * debian/control
    - raised minimal cython version to be used to 0.19
    - provide Build-Depends-Indep to separate handling for building
      binary-indep packages, and allow pandoc instead of nodejs
      for extra robustness (thanks Edmund for the hint) (Closes: #770631)
  * debian/{control,rules}
    - Recommend libjs-mathjax and refer to locally installed MathJax.js

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 17 May 2015 21:12:33 -0400

statsmodels (0.6.1-1) experimental; urgency=medium

  * New upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 03 Dec 2014 11:06:18 -0500

statsmodels (0.6.0~rc2-1) unstable; urgency=medium

  * Upstream release candidate
  * debian/patches
    - changeset_ee75d978ec4c46b506b5429d4f65fdf38866ec4d.diff redone into
      deb_use_internal_ipythonsphinx_extensions to facilate building
      documentation on older systems
    - up_explicit_path_to_nbgenerate to provide explict path to notebooks
  * debian/rules
    - clean up cythonize.dat
  * debian/control
    - nodejs was added to build-depends (neccessary for docs building)
    - boost policy to 3.9.6 (no changes)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 22 Oct 2014 19:32:58 -0400

statsmodels (0.5.0+git13-g8e07d34-2) unstable; urgency=medium

  * debian/patches
    - changeset_ee75d978ec4c46b506b5429d4f65fdf38866ec4d.diff
      to resolve FTBFS by using packaged ipython provided
      extensions (Closes: #753232)
    - up_reduce_test_precision to resolve failing
      TestRegressionNM.test_ci_beta2 test on 32bit
  * debian/control
    - suggest -doc package (Closes: #740348)
  * debian/rules
    - exclude testing of the sandbox (let kids do wild things there and 
      mentors keep their hair) -- otherwise test break due to scipy 0.14.0 API
      breakage (f_gen)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 16 Jul 2014 12:03:55 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: statsmodels
 Section: python
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~),
                python-all-dev, python-setuptools,
@@ -10,14 +9,17 @@
                python-scipy,
                python-nose,
                python-matplotlib,
-               python-sphinx (>= 1.0.6),
                python-pandas,
                python-joblib,
-               ipython-notebook (>= 0.13.1) | ipython01x, python-zmq,
                cython,
                python-patsy,
                python-cvxopt,
-Standards-Version: 3.9.4
+Build-Depends-Indep:
+               ipython-notebook (>= 0.13.1) | ipython01x,
+               python-zmq,
+               python-sphinx (>= 1.0.6),
+               nodejs | pandoc,
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.7
 Homepage: http://statsmodels.sourceforge.net/
 Vcs-Git: git://git.debian.org/pkg-exppsy/statsmodels.git
@@ -35,6 +37,7 @@
             python-nose,
             python-joblib,
             python-cvxopt,
+Suggests: python-statsmodels-doc,
 Provides: ${python:Provides}
 Conflicts: python-scikits-statsmodels, python-scikits.statsmodels (<< 0.4)
 Replaces: python-scikits-statsmodels, python-scikits.statsmodels (<< 0.4)
@@ -62,6 +65,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}, libjs-jquery
+Recommends: libjs-mathjax
 Suggests: python-statsmodels
 Description: documentation and examples for statsmodels
  This package contains HTML documentation and example scripts for

=== debian/rules ===
--- 
+++ 
@@ -18,9 +18,8 @@
 IPYTHONVER := $(shell ipython -V || echo 0) # 0.12 is needed to build docs, otherwise use IPython01x
 IPYTHONPATH := $(shell dpkg --compare-versions $(IPYTHONVER) lt 0.13 \
 				 && echo ":/usr/lib/python$(PYVER)/dist-packages/IPython01X" || echo '')
-ARCHITECTURE := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
-MIN_CYTHONVER = 0.15.1
+MIN_CYTHONVER = 0.19
 
 ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
 export OPT+=-g -O0
@@ -73,12 +72,16 @@
 	PYTHONPATH=`/bin/ls -d $(CURDIR)/$(PACKAGE_ROOT_DIR)/usr/lib/python$(PYVER)/*/`:$(CURDIR)$(IPYTHONPATH) \
 	 $(MAKE) -C docs html
 	mv docs/build/* build/
+	: # Fix up links to MathJax to be local
+	grep -l '/mathjax/' -R build/html/examples/notebooks \
+	| xargs sed -i -e 's,https://\S*.com/mathjax/latest/MathJax.js,file:///usr/share/javascript/mathjax/MathJax.js,g'
 	rm -rf docs/source/generated/
 endif
 	touch $@
 
 override_dh_auto_clean: $(HOME)
 	dh_auto_clean
+	-rm -f cythonize.dat
 
 override_dh_clean:
 	dh_clean
@@ -94,22 +97,14 @@
 	python$* setup.py install --install-layout=deb --root=$(PACKAGE_ROOT_DIR)
 
 python-test%: python-install%
-ifneq (,$(filter $(ARCHITECTURE), i386 amd64 x32))
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	: # Run unittests here against installed statsmodels
 	cd build/ && \
 	 PYTHONPATH=`/bin/ls -d $(CURDIR)/$(PACKAGE_ROOT_DIR)/usr/lib/python$*/*/` \
 	 MPLCONFIGDIR=$(CURDIR)/build \
-	 python$* /usr/bin/nosetests -s -v statsmodels
+	 python$* /usr/bin/nosetests -s -v --exclude=sandbox statsmodels
 else
 	: # Skip unittests due to nocheck
-endif
-else
-	: # Run unittests here against installed statsmodels, ignore failures
-	-cd build/ && \
-	 PYTHONPATH=`/bin/ls -d $(CURDIR)/$(PACKAGE_ROOT_DIR)/usr/lib/python$*/*/` \
-	 MPLCONFIGDIR=$(CURDIR)/build \
-	 python$* /usr/bin/nosetests -s -v statsmodels
 endif

=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/g" \
 http://githubredir.debian.net/github/statsmodels/statsmodels/ v(.+).tar.gz

## statsmodels 0.8.0~rc1+git43-g1ac3f11

=== debian/changelog ===
statsmodels (0.8.0~rc1+git43-g1ac3f11-1) unstable; urgency=medium

  * Snapshot of a new upstream release candidate
    - should resolve some failing tests causing FTBFS (Closes: #837232)
  * debian/patches
    - all changes* were dropped (upstreamed)
    + deb_no_nbformat_for_now - since no nbformat, do not generate ipython
      notebooks for now
  * debian/control
    - boost policy to 3.9.8
    - python-numpydoc to build-depends-indep

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 19 Sep 2016 09:23:49 -0400

statsmodels (0.6.1-10) UNRELEASED; urgency=medium

  * debian/control
    - apparently on e.g. 14.04 we have to depend on pandoc, so making it
      not an alternative to nodejs

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 29 Apr 2016 09:30:57 -0400

statsmodels (0.6.1-9) neurodebian; urgency=medium

  * CP df820642c16d8486e8b676e07675afbbfd4824d8 to stay compatible with older
    versions on nose (precise and alike)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 27 Apr 2016 22:12:50 -0400

statsmodels (0.6.1-8) unstable; urgency=medium

  * Resolving by skipping the very last standing failing test on s390

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 26 Apr 2016 21:42:10 -0400

statsmodels (0.6.1-7) unstable; urgency=medium

  * BF: adjusted changeset_3faba6e002641e95a0c6007c826fabb9c423686e.diff to 
    not use kwarg for compat with elderly pandas. Should resolve FTBFS on
    many platforms still carrying elderly pandas

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 26 Apr 2016 08:42:12 -0400

statsmodels (0.6.1-6) unstable; urgency=medium

  * debian/patches
    - picked up a set of patches to hopefully mitigate compatibility issues
      with elderly pandas available on some platforms

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 25 Apr 2016 18:32:29 -0400

statsmodels (0.6.1-5) unstable; urgency=medium

  * Fixes for compatibility with recent numpy and pandas
    (Closes: #807025, #659405)
  * examples/ were moved out of the module, so now they get manually installed
    under /usr/share/doc/python-statsmodels/examples (Closes: #752977)
  * debian/control
    - policy boosted to 3.9.7
    - removed obsolete transitional package python-scikits.statsmodels
  * debian/watch
    - fixed to use github.com tags directly

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 24 Apr 2016 18:55:01 -0400

=== debian/control ===
--- 
+++ 
@@ -18,8 +18,10 @@
                ipython-notebook (>= 0.13.1) | ipython01x,
                python-zmq,
                python-sphinx (>= 1.0.6),
-               nodejs | pandoc,
-Standards-Version: 3.9.6
+               python-numpydoc,
+               nodejs,
+               pandoc,
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.7
 Homepage: http://statsmodels.sourceforge.net/
 Vcs-Git: git://git.debian.org/pkg-exppsy/statsmodels.git
@@ -70,12 +72,3 @@
 Description: documentation and examples for statsmodels
  This package contains HTML documentation and example scripts for
  python-statsmodels.
-
-
-Package: python-scikits.statsmodels
-Depends: python-statsmodels, ${misc:Depends}, ${python:Depends}
-Architecture: all
-Section: oldlibs
-Description: transitional compatibility package for statsmodels migration
- Provides old namespace (scikits.statsmodels) and could be removed if
- dependent code migrated to use statsmodels for clarity of the namespace.

=== debian/rules ===
--- 
+++ 
@@ -74,7 +74,7 @@
 	mv docs/build/* build/
 	: # Fix up links to MathJax to be local
 	grep -l '/mathjax/' -R build/html/examples/notebooks \
-	| xargs sed -i -e 's,https://\S*.com/mathjax/latest/MathJax.js,file:///usr/share/javascript/mathjax/MathJax.js,g'
+	| xargs -r sed -i -e 's,https://\S*.com/mathjax/latest/MathJax.js,file:///usr/share/javascript/mathjax/MathJax.js,g'
 	rm -rf docs/source/generated/
 endif
 	touch $@
